E2FSCK(8)

NOM
e2fsck – Vérifier un système de fichiers Linux ext2/ext3/ext4

SYNOPSIS
e2fsck [ -pacnyrdfkvtDFV ] [ -b superbloc ] [ -B taille_bloc ] [ -l|-L fichier_blocs_défectueux ] [ -C descripteur ] [ -j journal_externe ] [ -E options_étendues ] [ -z fichier_annulations ] périphérique

DESCRIPTION
e2fsck permet de vérifier les systèmes de fichiers Linux de la famille ext2/ext3/ext4. Pour les systèmes de fichiers ext3 et ext4 qui utilisent un journal, si le système n'a pas été arrêté proprement mais qu'il n'y a pas eu d'erreur, normalement, après avoir rejoué les transactions enregistrées dans le journal, le système de fichiers devrait être marqué comme bon. De ce fait, pour les systèmes de fichiers journalisés, e2fsck applique le journal puis quitte, à moins que le superbloc n'indique que d'autres vérifications sont nécessaires.

périphérique est un périphérique en mode bloc (par exemple, /dev/sdc1) ou un fichier contenant le système de fichiers.

Veuillez noter qu'en général, il n'est pas sûr d'exécuter e2fsck sur des systèmes montés. La seule exception est quand l'option -n est indiquée, et que les options -c, -l ou -L ne sont pas indiquées. Cependant, même si la commande est sûre, les résultats affichés par e2fsck peuvent ne pas être valables si le système de fichiers est monté. Si e2fsck vous demande si vous souhaitez ou non vérifier un système de fichiers monté, la réponse correcte est « no » (non). Seuls les experts qui savent vraiment ce qu'ils font devraient pouvoir considérer répondre autrement à cette question.

Si e2fsck est exécuté en mode interactif (signifiant que -y, -n, ou -p sont indiquées), le programme demandera à l’utilisateur de corriger chaque problème détecté dans le système de fichiers. Une réponse « y » corrigera l’erreur, « n » laissera l’erreur non corrigée et « a » corrigera le problème et tous les problèmes subséquents. L’appui sur « Entrée » traitera la réponse par défaut qui est affichée avant le point d’interrogation. L’appui sur « Control-C » terminera immédiatement e2fsck.

OPTIONS

-a  Cette option est identique à l'option -p, mais n'existe que pour assurer la compatibilité ascendante ; il est donc vivement suggéré d'utiliser plutôt l'option -p quand c'est possible.

-b superbloc
    Au lieu d'utiliser le superbloc normal, utiliser un autre superbloc indiqué par superbloc. On se sert de cette option lorsque le superbloc primaire a été corrompu. L'emplacement du superbloc de sauvegarde dépend de la taille des blocs du système de fichiers, du nombre de blocs par groupe et des caractéristiques telles que sparse_super.

    D'autres superblocs de sauvegarde peuvent être retrouvés en utilisant le programme mke2fs avec l'option -n pour afficher les emplacements où les superblocs existent, en supposant que mke2fs est fourni avec des arguments cohérents avec la disposition du système de fichiers (par exemple, taille des blocs, blocs par groupe, sparse_super, etc.).

    Si un autre superbloc est indiqué et que le système de fichiers n'est pas ouvert en lecture-seule, e2fsck s'assurera que le superbloc primaire a été correctement mis à jour avant d'accomplir la vérification du système de fichiers.

-B taille_bloc
    Normalement, e2fsck recherchera le superbloc pour des tailles de blocs différentes dans le but de déterminer la taille des blocs. Cette recherche peut mener à des résultats erronés dans certains cas. Cette option force e2fsck à n'essayer de localiser le superbloc que pour une taille de bloc particulière. Si le superbloc reste introuvable, e2fsck quittera avec une erreur fatale.

-c  Cette option oblige e2fsck à exécuter le programme badblocks(8) pour trouver les blocs défectueux du système de fichiers avec un test en lecture-seule. Ils seront alors marqués comme défectueux et ajoutés à l'inœud des blocs défectueux pour éviter qu'ils ne soient utilisés pour un fichier ou un répertoire. Si cette option est précisée deux fois, la recherche des blocs défectueux sera effectuée avec un test non destructif en lecture-écriture.

-C descripteur
    Cette option oblige e2fsck à écrire les informations d'avancement dans le descripteur de fichier indiqué pour qu’ainsi la progression de la vérification puisse être surveillée. Cette option est typiquement utilisée par les programmes qui utilisent e2fsck. Si le numéro de descripteur de fichier indiqué est négatif, la valeur absolue du descripteur de fichier sera utilisée et les informations de progression ne seront pas fournies au départ. Elles pourront être activées par la suite en envoyant à e2fsck un signal SIGUSR1. Si le descripteur de fichier indiqué est 0, e2fsck affichera la barre d'avancement au fur et à mesure de sa progression. Cela nécessite que e2fsck s'exécute dans une console vidéo ou un terminal.

-d  Afficher la sortie de débogage (inutile à moins que vous ne soyez en train de déboguer e2fsck).

-D  Optimiser les répertoires dans le système de fichiers. Cette option enjoint e2fsck d'essayer d'optimiser tous les répertoires, soit en les réindexant si le système de fichiers permet l'indexation des répertoires, soit en classant et compressant les répertoires pour des répertoires plus petits ou pour des systèmes de fichiers qui utilisent des répertoires hiérarchiques traditionnels.

    Même sans l'option -D, e2fsck peut parfois optimiser quelques répertoires, par exemple si l'indexation des répertoires est activée, alors qu'un répertoire n'est pas indexé et qu'il gagnerait à l'être, ou si les structures d'index sont corrompues et doivent être reconstruites. L'option -D force l'optimisation de tous les répertoires du système de fichiers. Cela peut parfois les rendre un peu plus petits et accélérer légèrement les recherches dans ces répertoires. Mais en pratique vous n'avez que rarement besoin de cette option.

    L'option -D détectera les entrées de répertoire avec le même nom dans le même répertoire, ce que e2fsck ne fait habituellement pas pour des raisons de performance.

-E options_étendues
    Définir les options étendues d'e2fsck. Les options étendues sont séparées par des virgules et peuvent prendre un paramètre en utilisant le signe égal (« = »). Les options suivantes sont acceptées :

    ea_ver=version_attribut_étendu
        Définir la version des blocs d'attributs étendus que e2fsck nécessitera lors de la vérification du système de fichiers. Le numéro de version peut être 1 ou 2. La version par défaut du format des attributs étendus est la version 2.

    journal_only
        Rejouer le journal si besoin, mais n'effectuer aucune autre vérification ou réparation.

    fragcheck
        Au cours de la première passe, afficher un rapport détaillé des blocs non contigus des fichiers du système de fichiers.

    discard
        Essayer d'abandonner les blocs libres et les blocs d'inœuds inutilisés après la vérification complète du système de fichiers (l'abandon de blocs est utile sur les périphériques à semi-conducteurs SDD et les systèmes de stockage clairsemé ou à allocation fine et dynamique). Notez que l'abandon est effectué au 5ème passage, APRÈS que le système de fichiers a été complètement vérifié et seulement s'il ne contient pas d'erreurs identifiables. Cependant, il se peut que e2fsck ne décèle pas un problème existant, et dans ce cas, cette option vous empêchera peut-être de récupérer manuellement les données.

    nodiscard
        Ne pas essayer d'abandonner les blocs libres et les blocs d'inœuds inutilisés. Cette option est l'exact contraire de l'option ̣discard. C'est le comportement par défaut.

    no_optimize_extents
        Ne pas proposer d’optimiser l’arbre des zones de stockage contiguës (extents) en éliminant la largeur ou la profondeur non nécessaires. Cela peut être aussi activé dans la section des options de /etc/e2fsck.conf.

    optimize_extents
        Proposer d’optimiser l’arbre des zones de stockage contiguës (extents) en éliminant la largeur ou la profondeur non nécessaires. C’est le comportement par défaut, sauf spécification autre dans /etc/e2fsck.conf.

    inode_count_fullmap
        Faire un compromis en utilisant la mémoire pour une accélération lors de la vérification d’un système de fichiers avec un grand nombre de fichiers liés physiquement. La quantité de mémoire nécessaire est proportionnelle au nombre d’inœuds dans le système de fichiers. Pour de grands systèmes de fichiers, cela peut constituer des gigaoctets de mémoire (par exemple, un système de fichiers de 40 To avec 2,8 milliards d’inœuds utilisera 5,7 Go de mémoire supplémentaire si cette optimisation est activée). Cette optimisation peut aussi être activée dans la section des options de /etc/e2fsck.conf.

    no_inode_count_fullmap
        Désactiver l’optimisation inode_count_fullmap. C’est le comportement par défaut sauf si spécifié autrement dans /etc/e2fsck.conf.

    readahead_kb
        Utiliser ces nombreux Kio de mémoire pour pré-récupérer des métadonnées dans l’espoir de réduire le temps d’exécution de e2fsck. Par défaut, cette valeur est définie à la taille de deux tables d’inœuds de groupes de blocs (typiquement 4 Mio sur un système de fichiers ext4 ordinaire). Si cette valeur est supérieure à 1/50ème de la mémoire physique totale, readahead est désactivé. Un réglage à zéro désactive complètement readahead.

    bmap2extent
        Convertir les fichiers de mappage de blocs en fichiers de mappage de zones de stockage contiguës.

    fixes_only
        Corriger uniquement les métadonnées endommagées. Ne pas optimiser les répertoires « htree » ou compresser les arbres de zones de stockage contiguës. Cette option est incompatible avec les options -D et -E bmap2extent.

    check_encoding
        Forcer la vérification de noms de fichier encodés dans des répertoires non sensibles à la casse. C’est le mode par défaut si le système de fichiers a le drapeau strict activé.

    unshare_blocks
        Si le système de fichiers a des blocs partagés avec la caractéristique lecture-seule activée, cette option supprimera ces partages et le bit de lecture-seule. S’il n’y a pas assez d’espace libre, alors l’opération échouera. Si le système de fichiers n’a pas ce bit de lecture-seule mais a des blocs partagés, cette option n’aura aucun effet. Il est à remarquer que si on utilise cette option alors qu’il n’y a pas d’espace libre pour cloner des blocs, il n’y a aucune invite pour supprimer des fichiers et à la place l’opération échouera.

        Il est à remarquer que unshare_blocks implique l’option « -f » pour assurer que toutes les passes sont effectuées. De plus, si l’option « -n » est aussi indiquée, e2fsck simulera l’allocation de suffisamment d’espace pour dédupliquer. Si cela échoue, le code de retour sera différent de zéro.

-f  Forcer la vérification même si le système de fichiers semble bon.

-F  Purger les tampons de cache du périphérique hébergeant le système de fichiers avant de commencer. Ce n'est vraiment utile que pour mesurer la vitesse d'e2fsck.

-j journal-externe
    Définir le chemin où le journal externe pour ce système de fichiers peut être trouvé.

-k  Avec l'option -c, les blocs défectueux trouvés dans la liste sont préservés, et les nouveaux blocs défectueux trouvés par badblocks(8) sont ajoutés à la liste existante de blocs défectueux.

-l fichier
    Ajouter les numéros de bloc listés dans le fichier indiqué par fichier à la liste des blocs défectueux. Le format de ce fichier est identique à celui généré par le programme badblocks(8). Notez que les numéros de bloc sont basés sur la taille de bloc du système de fichiers. La taille de bloc correcte du système de fichiers doit donc être fournie à badblocks(8) pour que ses résultats soient corrects. De ce fait, il est plus simple et plus sûr d'utiliser l'option -c de e2fsck, puisqu'elle assure que les bons paramètres sont fournis à badblocks.

-L fichier
    Définir la liste des blocs défectueux pour être la liste des blocs indiquée dans fichier (cette option fait la même chose que l'option -l, sauf que la liste des blocs défectueux est remplacée par celle contenue dans le fichier).

-n  Ouvrir le système de fichiers en lecture-seule et répondre « no » à toutes les questions, ce qui permet ainsi l'utilisation non interactive d'e2fsck. Cette option ne peut pas être utilisée en même temps que les options -p ou -y.

-p  Réparer automatiquement (« ordonner ») le système de fichiers sans poser la moindre question. Avec cette option, e2fsck réparera tous les problèmes du système de fichiers qui peuvent être réparés sans intervention humaine. Si e2fsck trouve un problème qui nécessite une intervention de l'administrateur système pour effectuer d'autres actions correctives, e2fsck affichera une description du problème et quittera avec la valeur 4 combinée logiquement (OU) dans la valeur de retour (voir la section CODE DE RETOUR). Cette option est normalement utilisée par les scripts de démarrage du système. Elle ne peut pas être indiquée en même temps que les options -n ou -y.

-r  Cette option ne fait rien du tout, elle n'existe que pour assurer la compatibilité ascendante.

-t  Afficher les statistiques temporelles pour e2fsck. Si cette option est utilisée deux fois, des statistiques supplémentaires seront affichées sur une base passe par passe.

-v  Mode détaillé.

-V  Afficher les informations de version, puis quitter.

-y  Répondre « yes » à toutes les questions. Cela permet ainsi l'utilisation non interactive d'e2fsck. Cette option ne peut pas être utilisée en même temps que les options -n ou -p.

-z fichier_annulations
    Avant écraser un bloc de système de fichiers, copier le contenu du bloc dans un fichier d’annulations. Ce fichier peut être utilisé avec e2undo(8) pour restaurer l’ancien contenu du système de fichiers si quelque chose se passe mal. Si une chaîne vide est passée comme argument à fichier_annulations, le fichier d’annulations sera écrit sous le nom « e2fsck-périphérique.e2undo » dans le répertoire spécifié à l’aide de la variable d’environnement E2FSPROGS_UNDO_DIR. AVERTISSEMENT : le fichier d’annulations ne peut pas être utilisé pour se remettre d'une coupure d'alimentation ou d'un plantage du système.

CODE DE RETOUR
Le code de retour renvoyé par e2fsck est la somme des conditions suivantes :
    0    - Aucune erreur
    1    - Erreurs du système de fichiers corrigées
    2    - Erreurs du système de fichiers corrigées, le système
      devrait être redémarré
    4    - Erreurs non corrigées dans le système de fichiers
    8    - Erreur d'opération
    16    - Erreur d'utilisation ou de syntaxe
    32    - e2fsck annulé par l'utilisateur
    128    - Erreur de bibliothèque partagée

SIGNAUX
Les signaux suivants ont l'effet mentionné quand ils sont envoyés à e2fsck.

SIGUSR1
    e2fsck commence l'affichage de la barre d'avancement ou l'émission d'informations sur la progression (voir les commentaires sur l'option -C).

SIGUSR2
    e2fsck cesse l'affichage de la barre d'avancement ou l'émission d'informations sur la progression.

SIGNALER DES BOGUES
Quasiment tous les logiciels comportent des bogues. Si vous parvenez à dénicher un système de fichiers qui provoque le plantage de e2fsck, ou si celui-ci est incapable de le réparer, veuillez en informer l'auteur.

Merci d'inclure autant d'informations que possible dans votre rapport de bogue. Idéalement, il faudrait la transcription complète de l'exécution de e2fsck pour pouvoir voir exactement les messages d'erreurs affichés (assurez-vous que les messages affichés par e2fsck sont en anglais ; si votre système a été configuré de telle sorte que les messages de e2fsck sont traduits dans une autre langue, veuillez configurer la variable d'environnement LC_ALL à la valeur C pour que les messages puissent être utiles aux développeurs). Si vous avez un système de fichiers dans lequel vous pouvez écrire et où la transcription peut être enregistrée, le programme script(1) permet d'enregistrer de manière aisée la sortie de e2fsck dans un fichier.

Il est aussi utile d'envoyer la sortie de dumpe2fs(8). Si un ou plusieurs inœuds semblent poser des problèmes à e2fsck, essayez de lancer la commande debugfs(8) et envoyez la sortie de l'exécution de la commande stat(1) sur le(s) inœud(s) en question. Si l'inœud est un répertoire, la commande dump de debugfs vous permettra d'extraire le contenu de l'inœud du répertoire qui peut être envoyé après avoir été préalablement passé au travers de uuencode(1). Les informations les plus utiles que vous pouvez envoyer pour reproduire le bogue sont une image compressée du système de fichiers, générée par e2image(8). Consultez la page de manuel de e2image(8) pour plus de détails.

Incluez toujours le nom de version complet qu'affiche e2fsck lorsqu'il s'exécute, afin que l’auteur sache quelle version vous utilisez.

ENVIRONNEMENT

E2FSCK_CONFIG
    Détermination du chemin du fichier de configuration (consulter e2fsck.conf(5)).

AUTEUR
Cette version d'e2fsck a été écrite par Theodore Ts'o <tytso@mit.edu>.

VOIR AUSSI
e2fsck.conf(5), badblocks(8), dumpe2fs(8), debugfs(8), e2image(8), mke2fs(8), tune2fs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.